SyspathArchive (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class SyspathArchive

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PySequence
                  |
                  +--org.python.core.PyString
                        |
                        +--org.python.core.SyspathArchive

All Implemented Interfaces:
  ClassDictInit, java.io.Serializable

public class SyspathArchive
extends PyString

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`SyspathArchive(java.lang.String archiveName)`

Method Summary
`SyspathArchive` | `makeSubfolder(java.lang.String folder)`

Methods inherited from class org.python.core.PyString
`__add__, __cmp__, __complex__, __contains__, __eq__, __float__, __ge__, __gt__, __int__, __le__, __len__, __long__, __lt__, __mod__, __ne__, __repr__, __str__, __tojava__, atof, atoi, atoi, atol, atol, capitalize, center, classDictInit, count, count, count, decode_UnicodeEscape, encode_UnicodeEscape, encode, encode, encode, endswith, endswith, endswith, equals, expandtabs, expandtabs, find, find, find, hashCode, index, index, index, internedString, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isunicode, isupper, join, ljust, lower, lstrip, replace, replace, rfind, rfind, rfind, rindex, rindex, rindex, rjust, rstrip, safeRepr, split, split, split, splitlines, splitlines, startswith, startswith, startswith, strip, swapcase, title, toString, translate, translate, translate, upper, zfill`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __finditem__, __finditem__, __getitem__, __getslice__, __nonzero__, __setitem__, __setitem__, __setslice__, isMappingType, isNumberType`

Methods inherited from class org.python.core.PyObject
`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __delattr__, __delattr__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __finditem__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __lshift__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setslice__, __sub__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, invoke, invoke, invoke, invoke, invoke, isCallable, isSequenceType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyspathArchive

    public SyspathArchive(java.lang.String archiveName)
                   throws java.io.IOException

Method Detail

### makeSubfolder

    public SyspathArchive makeSubfolder(java.lang.String folder)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage